#coding=utf-8

from django.conf.urls import url

from views import *

urlpatterns = (
    url(r'^purchase_order/data/$', purchase_order_list),
    url(r'^purchase_order/export/$', purchase_order_export),
    url(r'^purchase_order/save/$', purchase_order_save),
    url(r'^purchase_order/edit/$', purchase_order_edit),
    url(r'^purchase_order/plan_to_order/$', purchase_plan_to_order),
    url(r'^purchase_order/detail/$', purchase_order_detail),
    url(r'^select_purchase_order/$', select_purchase_order),
    url(r'^purchase_order/delete/$', purchase_order_delete),
    url(r'^purchase_order/check/$', purchase_order_check),
    url(r'^purchase_order/export_detail/$', purchase_order_export_detail),
    url(r'^purchase_order/payment/$', purchase_order_payment),

    url(r'^purchase/data/$', purchase_list),
    url(r'^purchase/export/$', purchase_export),
    url(r'^purchase/price_export/$', purchase_price_export),
    url(r'^purchase/import/$', purchase_import),
    url(r'^purchase/save/$', purchase_save),
    url(r'^purchase/check/$', purchase_check),
    url(r'^purchase/delete/$', purchase_delete),
    url(r'^purchase/detail/$', purchase_detail),
    url(r'^purchase_user/save/$', purchase_user_save),

    url(r'^purchase/table_totle/$', purchase_table),# 动态添加表头以及数据

    url(r'^purchase_price/data/$', purchase_price_list),
    url(r'^purchase_price/save/$', purchase_price_save),
    url(r'^purchase_price/report/$', purchase_price_report),
    url(r'^purchase_price/detail/$', purchase_price_detail),
    url(r'^purchase_price/edit_save/$', purchase_price_edit_save),

    url(r'^purchase_payment/data/$', purchase_payment_list),
    url(r'^purchase_payment/export/$', purchase_payment_export),
    url(r'^purchase_payment/save/$', purchase_payment_save),
    url(r'^purchase_payment/detail/$', purchase_payment_detail),
    url(r'^purchase_payment/delete/$', purchase_payment_delete),
    url(r'^purchase_payment/check/$', purchase_payment_check),
    url(r'^purchase_payment/pay/$', purchase_payment_pay),
    url(r'^purchase_payment/pay/detail/$', purchase_payment_pay_detail),
    url(r'^purchase_payment/export_detail/$', purchase_payment_export_detail),
    url(r'^purchase_payment/clear/$', purchase_payment_clear),

    url(r'^purchase_invoice/data/$', purchase_invoice_list),
    url(r'^purchase_invoice/export/$', purchase_invoice_export),
    url(r'^purchase_invoice/save/$', purchase_invoice_save),
    url(r'^purchase_invoice/check/$', purchase_invoice_check),
    url(r'^purchase_invoice/upload_image/$', purchase_invoice_upload_image),
    url(r'^purchase_invoice/images/$', purchase_invoice_images),
    url(r'^purchase_invoice/del_image/$', purchase_invoice_del_image),

    url(r'^search_product/$', search_product),
    url(r'^search_user/$', search_user),
    url(r'^search_price/$', search_price),

    url(r'^godownentry/data/$', godownentry_list),
    url(r'^godownentry/save/$', godownentry_save),
    url(r'^godownentry/delete/$', godownentry_delete),
    url(r'^godownentry/detail/$', godownentry_detail),
    url(r'^godownentry/export/$', godownentry_export),
    url(r'^godownentry/check/$', godownentry_check),
    url(r'^godownentry/import/$', godownentry_import),
    url(r'^godownentry/export_detail/$', godownentry_export_detail),
    url(r'^godownentry/senior_edit/$', godownentry_senior_edit),

    url(r'^godownentry_query/data/$', godownentry_query_list),
    url(r'^godownentry_query/export/$', godownentry_query_export),
    url(r'^godownentry_query/detail/$', godownentry_query_detail),

    url(r'^godownentry_return/data/$', godownentry_return_list),
    url(r'^godownentry_return/save/$', godownentry_return_save),
    url(r'^godownentry_return/check/$', godownentry_return_check),
    url(r'^godownentry_return/delete/$', godownentry_return_delete),
    url(r'^godownentry_return/detail/$', godownentry_return_detail),
    url(r'^godownentry_return/export/$', godownentry_return_export),
    url(r'^godownentry_return/export_detail/$', godownentry_return_export_detail),
    url(r'^get_godownentry_detail_data/$', get_godownentry_detail_data), # 入库查询转退货时用， 从入库明细退货

    url(r'^godownentry_return_query/data/$', godownentry_return_query_list),
    url(r'^godownentry_return_query/export/$', godownentry_return_query_export),
    url(r'^godownentry_return_query/detail/$', godownentry_return_query_detail),

)
